name = "Ender Dragon"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("Ender Dragon", "dragon.png", "Normal", "Decal")
		exdilin.register_and_load_texture("EDIcon", "dragonicon.png", "Normal", "OneSide1x1")
	end
end

function init()
	exdilin.load_block_model("Endragon", "ender_dragon.obj")
end

function pre_init()
	local tank = exdilin.new_block({
		id = "Endragon",
		modelName = "Endragon"
	})

	local tankItem = tank.default_block_item("EDIcon", "chase")
	tankItem.register()
	tank.register()

	local TankTextureItem = exdilin.texture_item("Ender Dragon")
	TankTextureItem.register()
end